> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-charmenta-pr-718.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# configureIntegration

> An integration can call this endpoint to configure itself



## OpenAPI

````yaml /runtime-openapi.json POST /v1/chat/integrations/configure
openapi: 3.0.0
info:
  title: Botpress Runtime API
  description: API for Botpress Runtime
  version: 1.82.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/chat/integrations/configure:
    post:
      tags:
        - Endpoints
      description: An integration can call this endpoint to configure itself
      operationId: configureIntegration
      parameters:
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/configureIntegrationBody'
      responses:
        '200':
          $ref: '#/components/responses/configureIntegrationResponse'
        default:
          $ref: '#/components/responses/configureIntegrationResponse'
components:
  requestBodies:
    configureIntegrationBody:
      description: Configuration of the integration
      content:
        application/json:
          schema:
            type: object
            properties:
              identifier:
                type: string
                maxLength: 200
                nullable: true
                description: >-
                  Unique identifier of the integration that was installed on the
                  bot
              scheduleRegisterCall:
                type: string
                enum:
                  - hourly
                  - daily
                  - weekly
                  - bi-weekly
                  - monthly
                  - bi-monthly
                  - quarterly
                  - yearly
                description: >-
                  Recurring schedule on which `register()` will be called on the
                  integration
              sandboxIdentifiers:
                type: object
                nullable: true
                description: >-
                  **EXPERIMENTAL** Sandbox identifiers for the integration.
                  Setting this to null will remove all sandbox
                  identifiers.           This is an experimental feature meant
                  to be used by specific integrations.
                additionalProperties: false
            title: configureIntegrationBody
            additionalProperties: false
  responses:
    configureIntegrationResponse:
      description: Configuration of the integration
      content:
        application/json:
          schema:
            type: object
            title: configureIntegrationResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````